/{organizationId}/{mandateId}/finance/receipts/{receiptId}/paymentsAdd receipt payment
Adds a payment to a specific receipt for a given mandate
Required permissions:
mandate.read
receipt.edit
Permissions if cashTransactionId is provided:
cashTransaction.edit
Path Parameters
organizationIdstringrequired mandateIdstringrequired receiptIdstringrequired Request Body required
Content-Type: application/json
amountintegerrequired maximum: 9999999999
exclusiveMinimum: 0
accountintegerrequired minimum: 1
maximum: 999999999
datestringrequired cashTransactionIdstringoptional paymentDifferencestringoptional Options:
up:unpaidup:discountReductionup:feeNoTaxup:feeTaxop:feeNoTaxop:feeTaxop:interestFeenotestringoptional maxLength: 4000
maxItems: 3
Authentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/receipts/{receiptId}/payments' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"amount": 1,
"account": 1,
"date": "string"
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
paymentIdstringrequired minLength: 1
Response
{
"paymentId": "string"
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}